
    server {
        listen 80;
        server_name default_server;

        location / {
            return 301 https://$host$request_uri;
        }

        location ~ ^/api {
            return 301 https://$host$request_uri;
        }

        location ~ ^/docs {
            return 301 https://$host$request_uri;
        }
    }

    server {
        listen 443 ssl http2;
        server_name default_server;

        location / {
            proxy_pass http://web:3000;
            rewrite /(.*) /$1 break;
            proxy_set_header Host $host;
            proxy_set_header X-Real-IP $remote_addr;
            proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        }

        location ~ ^/api {
            rewrite /api/(.*) /$1 break;
            proxy_pass http://server:8000;
            proxy_set_header Host $host;
            proxy_set_header X-Real-IP $remote_addr;
            proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        }

        location ~ ^/docs {
            root /tmp/site;
            index index.html index.htm;
        }
    }
